package dev.kske.chess.ui;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;
import javax.swing.table.DefaultTableModel;

import dev.kske.chess.board.Log;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>LogFrame.java</strong><br>
 * Created: <strong>17.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class LogFrame extends JFrame {

	private static final long serialVersionUID = 1932671698254197119L;

	private JPanel	mcontentPane;
	private JTable	mtable;

	private Log log;

	/**
	 * Create the frame.
	 */
	public LogFrame() {
		setTitle("Move History");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		mcontentPane = new JPanel();
		mcontentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		mcontentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(mcontentPane);

		mtable = new JTable();
		mtable.setModel(new DefaultTableModel(new Object[][] {}, new String[] { "Black", "New column" }));
		mtable.setEnabled(false);
		mcontentPane.add(mtable, BorderLayout.CENTER);
	}

	public void update() {

	}

	public Log getLog() { return log; }

	public void setLog(Log log) { this.log = log; }

}
